SELECT
    p.id,
    link,
    clean_summary
FROM
    post AS p
INNER JOIN feed AS f ON p.site = f.slug -- necessary to weed out nzb posts
WHERE
    search_summary IS NULL
    -- TODO remove AND link ~ '^<'
ORDER BY
    ROW_NUMBER() OVER (PARTITION BY site ORDER BY date DESC)
LIMIT 1000;
